Problem installing FBI on sysnand

Discussion in '3DS - Flashcards & Custom Firmwares' started by duwen, Aug 15, 2015.

  1. duwen
    OP

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    So... I got my new O3ds today - it was on fw2.x, so I used Project X Zone to up it to 4.4.0-4E, then set about creating my emunand and installing rxtools.

    Everything has gone fine ...up to now.
    RxTools is installed and updated to 9.9 with FBI installed, but somehow in between unlinking the nands and upgrading the emunand my sysnand has lost the h&s app so I can't inject FBI to my sysnand.
    And my backup plan of using Ninjhax has also gone tits-up due to there being no QR code for 4.4.0-4E or 4.5.0-4E (which I updated my sysnand to using Animal Crossing after 4.4 fucked me over).

    I don't have a Gateway card, but I do have Sky3ds. I also have an Acekard2i (but without having access to FBI or Ninjhax I can't whitelist it on my sysnand).
    What are my options? Is there anyway to get the h&s app back on my sysnand (the restore h&s option in rxtools gave an error that the h&s tmd backup couldn't be found)? What retail game (EU region) can I use to upgrade (by as little as possible) from 4.5.0-4E that will definitely have a valid QR for Ninjhax?

    Help definitely appreciated.
     
  2. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,250
    345
    May 13, 2015
    United States
    http://yls8.mtheall.com/ninupdates/titlelist.php?date=09-19-12_08-00-54&sys=ctr&reg=E&soap=1
    http://yls8.mtheall.com/ninupdates/titlelist.php?date=07-13-15_08-05-03&sys=ctr&reg=E&soap=1

    I realize the first link is for 4.4.0-10 and not -4, but that wouldn't make a difference.

    The reason you lost the health and safety app, is because going from 4.4->9.9 there's a new version of Health & Safety, which installed over your old revision.
    When installing the next update, just leave the title id for H&S out.

    As for the rest, not something i've experienced or looked into enough, so i'll leave it to someone else to tackle. :P
     
  3. duwen
    OP

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    I get what you're saying, and it would be true if it weren't for the fact that I unlinked my nands before I updated my emunand to 9.9 - although, it may be because I installed FBI on my emunand before I unlinked them :unsure:

    Those links also don't show the h&s app for v1024 - which is what rxtools reports mine as.
    ...and how do I leave title id's out when updating sysnand?

    I've got the retail Senran Kagura Burst that will update to 5.1.0-4E ...but the lowest Ninjhax QR on 5.1 is 0-7E ...and I've got Bravely Default which will install 6.2.0-4E - but guess what? Yep, the lowest QR is 6.2.0-7E! :huh: wtf is with all these retail updates being 0-4E, yet Smea's QR's are all 0-7E?!!
     
    Last edited by duwen, Aug 16, 2015
  4. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,250
    345
    May 13, 2015
    United States
    If you unlinked the nands & lost FBI before updating, you wouldn't be able to update the emunand (nvm I was thinking N3ds) Doubt you made a backup of your original sysnand before you unlinked; if you did, you could try copying the DB folder over from Nintendo 3DS/code/code/ to the Emunands system code folder. Updating the emunand would overwrite files with new revisions. *I'm only addressing losing FBI on the emunand though*

    For leaving title ids out, when firmwares were downloaded from 3DNUS (No longer works) you'd get a bunch of cias, one for each title. If you updated by the 3DS' updater, then there's no way to exclude titles.
    Now if you were to update with a title manger (fbi / devmenu / ect) you'd have to get them from 'that 3ds site with isos'

    Then -#s refer to the version of web browser iirc. No game cart comes with the required browser needed for CN, that was obtained by updating the firmware via internet connection.
     
  5. duwen
    OP

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    Thanks for the info.
    My emunand is fine - rxTools installed, fw on 9.9, FBI installed... it's the sysnand that's lost its h&s app that I can't install FBI on without it.
    Is there any other CIA installer I can use on my sysnand in my current predicament? Or any way I can get my sysnand on a firmware compatible with Ninjhax?
     
  6. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,250
    345
    May 13, 2015
    United States
    Ah, gotcha.

    Not that i'm aware of. But again, I don't have an O3DS, so i've never gone through this process. Maybe someone else can chime in and help you out. :)
    Or try requesting help in the RxTools thread if you haven't already.
     
  7. samiam144

    samiam144 RĂ©gulier

    Member
    2,872
    936
    Aug 19, 2007
    Canada
    You can try doing it manually but it's risky if you don't know what you're doing:

    https://gbatemp.net/threads/release...ect-generator-jpn-usa-eur-chn-kor-twn.391525/
     
    duwen likes this.
  8. duwen
    OP

    duwen Old Man Yoshi

    Member
    1,165
    649
    Sep 6, 2013
    United States
    Bullet Hell
    Thanks! From that link (although I didn't go through the whole technical aspect) I learnt enough to restore my backup of my 4.4.0-4E sysnand - which I made before I lost my h&s app.
    Hopefully now I'll be able to inject FBI into sysnand as planned!

    edit

    Yes! FBI installed on 4.4.0-4E sysnand!
    Now I just need to get the mset sorted on sysnand so I can boot emunand without the browser and I'm done ...as far as setup goes anyway!
     
    Last edited by duwen, Aug 16, 2015
    samiam144 likes this.
  9. fire3element

    fire3element GBAtemp Regular

    Member
    158
    80
    Jul 24, 2015
    United States
    I have an O3DS that I am trying to install FBI onto. Already have the emunand setup running RXTools on 10.0 FW. FBI has already been installed over the H&S app in emunand.
    Having trouble getting RXTools to install FBI in the sysnand which is running 4.2. Already ran the installer on RXTools with the correct H&S v2051.
    However it just refuses to install. So I attempted to use FBI through HomeBrew browser via Ninjhax. FBI reports that it installed (Destination: SD, Mode: Install CIA), but it does not show up on sysnand or emunand.

    Is this not possible on 4.2, or am I running into a different issue?
     
  10. tivu100

    tivu100 GBAtemp Addict

    Member
    2,042
    440
    Jun 6, 2015
    United States
    Here is one solution: https://gbatemp.net/threads/release...ect-generator-jpn-usa-eur-chn-kor-twn.391525/

    However you should have to be careful due to it's a manual NAND injection.

    Or it is recommended to update to 9.2. https://gbatemp.net/threads/how-to-...om-4-1-8-1-to-9-2-0-20-with-pasta-cfw.389187/
     
  11. MelonGx

    MelonGx GBAtemp Advanced Maniac

    Member
    1,634
    439
    Jan 8, 2009
    China
    As Riku said, Cartridge updated SysNAND like 4.4.0-4E doesn't have the H&S upgraded.
    So FBI injection fails.
    You can only manually inject it, like what you did and succeeded.

    (Edit)
    For EUR, H&S has 4 versions:
    v0 - 1.0 ~ 2.2
    v1024 - 3.0
    v2050 - 4.0 ~ 5.1
    v3077 - 6.0 ~ 10.2
     
    Last edited by MelonGx, Nov 5, 2015
  12. kawlin

    kawlin Member

    Newcomer
    31
    0
    Nov 13, 2015
    Belgium
    Can someone give me the .TMD and the .app files from EU O3DS (the v3077), so i can use rxTools backup to restore H&S on my sysnand.

    The 2 files that i have in my h&s backup don't allow rxTools to restore it. In fact there is neither of h&s or fbi app on my sysnand.

    I want it so i can install fbi and then gba .cia !!

    Ty very much